Addresses
Retrieves a list of addresses for a specified customer.
- : Needed to retrieve customer profiles.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$OK
Customer address information.
Customer address unique identifier generated when the address is added to the customer account.
Flag indicating whether the address is the customer default address.
falseRequest was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Not Found
GET /customer/{tenant}/customers/{customerNumber}/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"id": "b05c20e034",
"isDefault": true
}
]Adds an address to a specified customer profile.
- : Needed to manage customer profiles.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Custom customer address identifier. If not provided, it is automatically generated.
Flag indicating whether the address is the customer default address.
falseCreated
Schema for showing location of the new resource.
Resource identifier.
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Customer with the specified customerNumber doesn't exist.
POST /customer/{tenant}/customers/{customerNumber}/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"isDefault": true
}{
"id": "e6eae2c789"
}Retrieves a specified customer address and its details.
- : Needed to retrieve customer profiles.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
OK
Customer address information.
Customer address unique identifier generated when the address is added to the customer account.
Flag indicating whether the address is the customer default address.
falseRequest was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
GET /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"id": "b05c20e034",
"isDefault": true
}Updates a specified customer address or creates a new one if it doesn't exist yet.
- : Needed to manage customer profiles.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Required if address does not exist and should be created in upsert operation.
2 letter country code compliant with the ISO 3166-1 alpha-2 standard.
Flag indicating whether the address is the customer default address.
Created
Schema for showing location of the new resource.
Resource identifier.
No Content - update has been successful
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
PUT /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"isDefault": true
}{
"id": "e6eae2c789"
}Deletes a specified customer address.
- : Needed to manage customer profiles.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
DELETE /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}No content
Updates a specified customer address.
- : Needed to manage customer profiles.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Required if address does not exist and should be created in upsert operation.
2 letter country code compliant with the ISO 3166-1 alpha-2 standard.
Flag indicating whether the address is the customer default address.
OK
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
PATCH /customer/{tenant}/customers/{customerNumber}/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"isDefault": true
}No content
Adds tags to a specified customer address.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
List of address tags, separated by commas.
BILLING,SHIPPINGNo Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
POST /customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Deletes tags from a specified customer address.
- : Needed to manage customer profiles.
Address unique identifier generated when the address is added to a customer profile.
Customer unique identifier generated when the customer profile is created.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
List of address tags, separated by commas.
BILLING,SHIPPINGNo Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
DELETE /customer/{tenant}/customers/{customerNumber}/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

